.title-bar {
  width: 100%;
  background: var(--color-code-green);
  padding: 20rem 0 1rem 0; 
  display: flex;
  align-items: flex-end;
  margin-bottom: var(--space-l);
}

.title-bar h1{
  max-width: 20ch;
  color: var(--color-white);
  margin: 0;
}

.project-author{
  color: var(--color-white);
  opacity: .9;
}

/* Grid */
.content-grid{
  display:grid;
  grid-template-columns: 7fr 3fr;
  gap:4rem;
  margin-bottom: var(--space-l);
}

.content-grid .intro p{
  font-size: clamp(1.25rem, 2vw, 1.5rem);
  line-height: 1.3;
  margin-bottom: var(--space-m);
  font-weight: 400;
  max-width: 60ch;
  
}

.content-grid .credits p{
  font-size: clamp(1rem, 1.1vw, 1.125rem);
  line-height: 1.6;
  margin-bottom: var(--space-m);

}

/* Grid below */
.interview-grid{
  display:grid;
  grid-template-columns:1fr 1fr;
  gap:3rem;
  align-items:start;
  margin-bottom: var(--space-xl);
}


/* Text */

.portrait-text p{
  font-size: clamp(1.2rem, 2vw, 1.5rem);
  line-height: 1.3;
  margin-bottom: var(--space-m);
  font-weight: 400;
  max-width: 60ch;
}

.portrait-video iframe{
  width:100%;
  aspect-ratio:16/9;
  border:0;
  border-radius:6px;
}

.interview-grid:first-of-type {
  border-top: 1px solid var(--color-black);
  padding-top: var(--space-l);
}

.interview-grid + .interview-grid {
  padding-top: var(--space-l);
  border-top:1px solid var(--color-black);
}

/* Tablet */

@media (max-width: 900px) {

  .title-bar{
    padding: 12rem 0 1rem 0;
  }

  .content-grid{
    grid-template-columns: 1fr;
    gap: var(--space-l);
  }

  .content-grid .intro p{
    max-width: 100%;
  }

  .interview-grid{
    grid-template-columns: 1fr;
    gap: var(--space-m);
  }

  .portrait-video{
    margin-top: var(--space-m);
  }

}

/* Mobile */

@media (max-width: 600px) {

  h1{
    font-size: 2rem;
    margin-bottom: var(--space-s);
  }

  h2{
    font-size: 1.5rem;
  }

  .title-bar{
    padding: 8rem 0 0.5rem 0;
    margin-bottom: var(--space-m);
  }

  .title-bar h1{
    max-width: 100%;
  }

  .project-author{
  margin-top: var(--space-s);
  }

  .portrait-text p{
    font-size: 1.1rem;
    line-height: 1.4;
  }

  .interview-grid{
    margin-bottom: var(--space-l);
  }

}